-- Title: newMaterialHolder Script
-- Notes: Zum einbinden neuer MaterialHolder, FillPlanes und PartikelAnimationen.
-- Author: Ifkonator
-- Version: 1.0
-- Date: 07.02.2016
-- keine Freigabe für andere Mods, dieses Script darf ausschließlich von Farmer_Andy oder Ifkonator verwendet werden. 

newMaterialHolder = {};
addModEventListener(newMaterialHolder);



local modDir = g_currentModDirectory;

function newMaterialHolder:loadMap(name)
    MaterialUtil.registerMaterialType("fluid");
    loadI3DFile(modDir .. "materials/unloadingEffects.i3d");
    print("MaterialHolder for Kotte Universal loaded successfull!")    
    print("MaterialType fluid registered successfull!")
end;

function newMaterialHolder:deleteMap()
end

function newMaterialHolder:mouseEvent(posX, posY, isDown, isUp, button)
end;

function newMaterialHolder:keyEvent(unicode, sym, modifier, isDown)
end;

function newMaterialHolder:update(dt)
end

function newMaterialHolder:draw()   
end;
